Index: gap-4.14.0/cnf/gap-version-gen.sh
===================================================================
--- gap-4.14.0.orig/cnf/gap-version-gen.sh
+++ gap-4.14.0/cnf/gap-version-gen.sh
@@ -46,6 +46,6 @@ test "$VN" = "$VC" || {
 	if [ -z "$SOURCE_DATE_EPOCH" ]; then
 		echo "GAP_BUILD_DATETIME = $(date '+%Y-%m-%d %H:%M:%S%z')" >>$GVF
 	else
-		echo "GAP_BUILD_DATETIME = reproducible" >>$GVF
+		echo "GAP_BUILD_DATETIME = $(TZ=C date -d @$SOURCE_DATE_EPOCH '+%Y-%m-%d %H:%M:%S%z')" >>$GVF
 	fi
 }
